import java.util.*;
import java.awt.*;
import java.applet.*;
import java.awt.event.*;
import javax.swing.*;

public class keerom extends Applet
{
	TextField veldInvoer, veldUitvoer;
	Button bereken;
	Label eenLabel;
	String eenString, omgekeerdeString;
	
	public void init()
	{
		eenLabel = new Label();
		eenLabel.setText("Geef invoerstring");
		
		veldInvoer = new TextField(10);
		veldUitvoer = new TextField(10);
		
		bereken = new Button("Keerom");
		bereken.addActionListener(new Omkeren());
		
		add(eenLabel);
		add(veldInvoer);
		add(bereken);
		add(veldUitvoer);
		
	}
	
	public void paint(Graphics g)
	{
	}
	
	class Omkeren implements ActionListener
	{
		public void actionPerformed(ActionEvent e)
		{
			
			String origineelWoord, omgekeerdeString = "";
			
			origineelWoord = new String( "" +  veldInvoer.getText() );
			
			for ( int count = origineelWoord.length() - 1; count >= 0; count-- )
				omgekeerdeString += origineelWoord.charAt( count );
			
			veldUitvoer.setText(omgekeerdeString);
		}
	}
}

